import fs from "fs";
import dbSchemaToType from "@/utils/backend/db-schema-to-type";
import grabDirNames from "@/package-shared/utils/backend/names/grab-dir-names";

const { mainDbTypeDefFile } = grabDirNames();
const definitions = dbSchemaToType();

fs.writeFileSync(mainDbTypeDefFile, definitions?.join("\n\n") || "", "utf-8");
